from pyrogram import filters
from pyrogram.client import Client
from pyrogram.types import Message

from modules.app import app
from modules.utils import configGet, jsonLoad, locale


@app.on_message(~ filters.scheduled & filters.command(["start"], prefixes="/"))
async def cmd_start(app: Client, msg: Message):
    if msg.from_user.id not in jsonLoad(configGet("blocked", "locations")):
        await msg.reply_text(locale("start", "message", locale=msg.from_user.language_code))

@app.on_message(~ filters.scheduled & filters.command(["rules", "help"], prefixes="/"))
async def cmd_rules(app: Client, msg: Message):
    if msg.from_user.id not in jsonLoad(configGet("blocked", "locations")):
        await msg.reply_text(locale("rules", "message", locale=msg.from_user.language_code))